<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<nav class="navbar navbar-expand-lg navbar-light bg-light rounded" th:fragment="navbar">
    <div class="container">
        <a class="navbar-brand" href="softclub.by">
            <img src="https://softclub.com/wp-content/uploads/2019/08/SC_Logo-new-1.png"
                 width="30" height="30" class="d-inline-block align-top" alt="">
            <span th:text="#{app.title}"></span>
        </a>
        <button class="navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/cars"><span th:text="#{main.page.title}"></span> <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/basket"><span th:text="#{basket.page.title}"></span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/history"><span th:text="#{history.page.title}"></span></a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle"
                       href="#"
                       id="dropdown-lang"
                       data-toggle="dropdown"
                       aria-haspopup="true"
                       aria-expanded="false">
<!--                        <span class="flag-icon flag-icon-us"></span>-->
                        <span th:text="#{lang.change}"></span>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="dropdown-lang">
                        <a class="dropdown-item" href="?lang=en">
                            <span class="flag-icon flag-icon-us"></span>
                            <span th:text="#{lang.eng}"></span>
                        </a>
                        <a class="dropdown-item" href="?lang=ru">
                            <span class="flag-icon flag-icon-ru"></span>
                            <span th:text="#{lang.ru}"></span>
                        </a>
                    </div>
                </li>

            </ul>
        </div>
    </div>
</nav>

<!-- Dropdown for selecting language -->
<!--<div class="dropdown">-->
<!--    <button class="btn btn-danger dropdown-toggle" type="button" id="dropdownMenuButton"-->
<!--            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><spring:message code="app.lang.title"/></button>-->
<!--    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">-->
<!--        <a class="dropdown-item" href="?lang=en"><spring:message code="app.lang.english"/></a>-->
<!--        <a class="dropdown-item" href="?lang=hi"><spring:message code="app.lang.hindi"/></a>-->
<!--        <a class="dropdown-item" href="?lang=cn"><spring:message code="app.lang.chinese"/></a>-->
<!--    </div>-->
<!--</div>-->